Bug 544940 - reattach virtio to rhel{5,6} guests will cause qemu-kvm crash
reattach virtio to rhel{5,6} guests will cause qemu-kvm crash
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F13VirtImportant
  Show dependency treegraph
Reported: 2009-12-06 23:50 EST by wmg
Modified: 2010-12-03 21:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 21:04:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wmg 2009-12-06 23:50:34 EST
Description of problem:

reattach virtio disk to rhel{5,6} guests will cause qemu-kvm crash

Version-Release number of selected component (if applicable):

[root@ht ~]# rpm -q qemu-kvm
[root@ht ~]# uname -r

How reproducible:


Steps to Reproduce:
1. install a RHEL{5,6} guest in Fedora12
2. load hotplug module in guest with 'modprobe acpiphp'
3. create a disk image in host use dd, and attach it to guest with 'virsh attach-disk domainname /imagepath vdb'
4. you will see the attached disk in guest now, detach it from host
5. reattach the disk in step 3, will got a failed message :
'error: operation failed: cannot attach virtio disk', and then 'virsh list', you could see that qemu process anymore
Actual results:

qemu-kvm crashed 

Expected results:

qemu-kvm should resume running, and the reattached disk should works fine in guest

Additional info:

I also tested with scsi disk attach, the qemu-kvm process wouldn't crash with scsi disk reattach, but the scsi disk couldn't be recognized correctly for the 2nd attachment, I think for scsi/virtio disk may related
Comment 1 Bug Zapper 2010-11-04 00:04:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2010-12-03 21:04:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.